﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace SilverlightApplication10.Web
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IDataService" in both code and config file together.
    [ServiceContract]
    public interface IDataService
    {
        [OperationContract]
        Summary GetData();
    }

    [DataContract]
    public class Summary
    {
        [DataMember]
        public int ID { get; set; }
         [DataMember]
        public int OurWeight { get; set; }
         [DataMember]
        public int NumberoFStudents { get; set; }
         [DataMember]
        public List<Student> Students { get; set; }
         [DataMember]
        public int MaxWeight { get; set; }
         [DataMember]
        public int Minweight {get;set;}
    }

    [DataContract]
    public class Student
    {
         [DataMember]
        public int ID { get; set; }
         [DataMember]
        public int Weight { get; set; }
    }
}
